Changeset 130753


Ignore:
Timestamp:
Jan 2, 2015, 12:20:25 PM (5 years ago)
Author:
devans@…
Message:

p5-catalyst-plugin-unicode-encoding: handle replacement for obsolete branches 5.8 5.10 5.12 5.14, clear depends_lib set by perl5 portgroup.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/perl/p5-catalyst-plugin-unicode-encoding/Portfile

    r130084 r130753  
    55PortGroup           perl5 1.0
    66
    7 perl5.branches      5.16 5.18 5.20
     7perl5.branches      5.8 5.10 5.12 5.14 5.16 5.18 5.20
    88perl5.setup         Catalyst-Plugin-Unicode-Encoding 1.9
    99revision            1
     
    1111license             none
    1212
     13depends_lib
     14
    1315if {${perl5.major} != ""} {
    14     replaced_by     p${perl5.major}-catalyst-runtime
     16    if {[vercmp ${perl5.major} 5.16] >= 0} {
     17        replaced_by p${perl5.major}-catalyst-runtime
     18    } else {
     19        replaced_by p5.16-catalyst-runtime
     20    }
    1521} else {
    1622    replaced_by     p5-catalyst-runtime
Note: See TracChangeset for help on using the changeset viewer.